# Uses of Class
org.eclipse.mat.snapshot.ExcludedReferencesDescriptor

Packages that use ExcludedReferencesDescriptor
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of ExcludedReferencesDescriptor in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal with parameters of type ExcludedReferencesDescriptor
Modifier and Type
Method
Description
`int[]`
SnapshotImpl.`getRetainedSet(int[] objectIds, ExcludedReferencesDescriptor[] excludedReferences, IProgressListener progressMonitor)`

## Uses of ExcludedReferencesDescriptor in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot with parameters of type ExcludedReferencesDescriptor
Modifier and Type
Method
Description
`int`
IObjectMarker.`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`
`int`
ObjectMarker.`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`
`int`
ObjectMarkerOld.`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`

## Uses of ExcludedReferencesDescriptor in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot with parameters of type ExcludedReferencesDescriptor
Modifier and Type
Method
Description
`int[]`
ISnapshot.`getRetainedSet(int[] objectIds, ExcludedReferencesDescriptor[] excludedReferences, IProgressListener progressMonitor)`
Get retained set of objects for the given fields at the given objects (excluding the given objects).